GHNManager
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.vremanagement.ghnmanager.impl
Class GHNManager

    java.lang.Object
      GCUBEPortType
          org.gcube.common.vremanagement.ghnmanager.impl.GHNManager

    public class GHNManager

extends GCUBEPortType

GHNManager port-type service implementation

Author:
  Manuele Simi (CNR-ISTI)

Constructor Summary
`GHNManager()`

Method Summary
`boolean` | `activateRI(RIData ri)` Activates an instance hosted on the local node
`boolean` | `addRIToScope(ScopeRIParams params)` Adds a new scope to a local RI
`boolean` | `addScope(AddScopeInputParams params)` Joins the GHN to a new `GCUBEScope`
`boolean` | `deactivateRI(RIData ri)` Deactivates an instance hosted on the local node
`boolean` | `removeRIFromScope(ScopeRIParams params)` Adds a new scope to a local RI
`boolean` | `removeScope(java.lang.String scope)` Unbinds the gHN from a `GCUBEScope`
`void` | `shutdown(ShutdownOptions options)` Shuts down the local GHN

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GHNManager

    public GHNManager()

Method Detail

### addScope

    public boolean addScope(AddScopeInputParams params)
                     throws GCUBEUnrecoverableFault

  Joins the GHN to a new `GCUBEScope`

  Parameters:
    `params` - WSDL defined parameters
  Throws:
    `GCUBEUnrecoverableFault` - if it cannot add the scope

### removeScope

    public boolean removeScope(java.lang.String scope)
                        throws GCUBEUnrecoverableFault

  Unbinds the gHN from a `GCUBEScope`

  Parameters:
    `params` - WSDL defined parameters
  Throws:
    `GCUBEUnrecoverableFault`

### addRIToScope

    public boolean addRIToScope(ScopeRIParams params)
                         throws GCUBEUnrecoverableFault,
                                GCUBEFault

  Adds a new scope to a local RI

  Parameters:
    `params` - WSDL defined parameters
  Throws:
    `GCUBEUnrecoverableFault,` - GCUBEFault
    `GCUBEUnrecoverableFault`
    `GCUBEFault`

### activateRI

    public boolean activateRI(RIData ri)
                       throws GCUBEUnrecoverableFault,
                              GCUBEFault

  Activates an instance hosted on the local node

  Parameters:
    `ri` - name and class of the instance
  Returns:
    `true` if the instance was successfully activated (of if it was already active), false otherwise
  Throws:
    `GCUBEUnrecoverableFault`
    `GCUBEFault`

### deactivateRI

    public boolean deactivateRI(RIData ri)
                         throws GCUBEUnrecoverableFault,
                                GCUBEFault

  Deactivates an instance hosted on the local node

  Parameters:
    `ri` - name and class of the instance
  Returns:
    `true` if the instance was successfully deactivated (of if it was already deactivate), false otherwise
  Throws:
    `GCUBEUnrecoverableFault`
    `GCUBEFault`

### removeRIFromScope

    public boolean removeRIFromScope(ScopeRIParams params)
                              throws GCUBEUnrecoverableFault,
                                     GCUBEFault

  Adds a new scope to a local RI

  Parameters:
    `params` - WSDL defined parameters
  Throws:
    `GCUBEUnrecoverableFault,` - GCUBEFault
    `GCUBEUnrecoverableFault`
    `GCUBEFault`

### shutdown

    public void shutdown(ShutdownOptions options)
                  throws GCUBEUnrecoverableFault

  Shuts down the local GHN

  Parameters:
    `options` -
    - restart `true` if the container must be restarted after the shutdown
  Throws:
    `GCUBEUnrecoverableFault` - if the operation fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD